Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000517FirmwareDecoderspublic2012-01-29 18:162012-09-14 20:40
ReporterFred 
Assigned Topjohns30 
PriorityurgentSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.2.0-SNAPSHOT 
Target Version0.2.0Fixed in Version0.2.0 
Summary0000517: Write J Series Honda 2 or 3 input Decoder
Descriptionhttp://forum.diyefi.org/viewtopic.php?f=56&t=1524 [^]

12 on the crank and two cam wheels with 4 in a 6 minus 2 pattern offset for quick sync. This shouldn't take me too long to knock out, but I'll be flying blind without a test rig.
TagsNo tags attached.
FirmwareVersion
Issue TypeNew Feature
Risk of Breakagevery low
Attached Fileszip file icon Aug17,2012 Honda2InputDecoderLog.zip [^] (2,964,252 bytes) 2012-08-17 20:11
zip file icon FreeEMS-0.2.0-SNAPSHOT-169-gf8c022b-JSeries-12CrankWith6-2Cam.s19.zip [^] (40,446 bytes) 2012-09-03 11:15

- Relationships

-  Notes
User avatar (0001665)
Fred (administrator)
2012-07-16 22:58

I provided Peter with the logic and he integrated it into a new decoder with my peer review. The result is that it's available and ready for testing any time.
User avatar (0001666)
Fred (administrator)
2012-07-16 22:59

Peter, test when you get a chance and assign back to me if happy, then I'll bring the code into the mainline and close with the final hash.
User avatar (0001897)
pjohns30 (reporter)
2012-08-17 17:32

It works with commit gaa58e78. I couldn't get it to work on the current dev branch. It starts and idles, but it won't rev up. I'm thinking it's not a decoder problem. I forgot to put the cylinder size, and injector flow rate into the branch that was merged in, but I haven't found anything else wrong yet.
User avatar (0001898)
Fred (administrator)
2012-08-17 19:44

OK, would you like me to apply the changes to current dev for you?

And by "it works in aa58e78" how much testing did you do, etc? Is it flawless or did it occasionally lose sync or what? Got a log of it running nice?

I see that that hash is one from my main line. Can you please commit what works, build that commit with no hacks uncommitted, load it, prove it works, use emstudio to record a log, zip that, upload it, and push that commit for me? Then I'll have a perfect fixed point of reference to go forward from.
User avatar (0001899)
pjohns30 (reporter)
2012-08-17 20:22

You can if you want it doesn't really bother me.

Maybe 30 miles of driving. I think it's mad about some 3 month old fuel, because when I put a few gallons of premium in it started acting a little happier.

I'll try.
User avatar (0001900)
pjohns30 (reporter)
2012-08-17 21:07

https://github.com/pjohns30/freeems-vanilla/tree/dev [^] I managed to make a real nice mess just for you Fred :-)
User avatar (0001901)
Fred (administrator)
2012-08-17 21:17

Showing 220 changed files with 32,487 additions and 30,386 deletions.

You weren't joking! :-o

BUT, if the attached log comes from that commit, I can work with it.

Thanks!
User avatar (0001988)
Fred (administrator)
2012-09-03 10:35

Just to be clear, were you running your existing fueling from the new decoder with OEM ignition or as a dual ECU setup?
User avatar (0001989)
Fred (administrator)
2012-09-03 10:38

What's this for, mate?

outputConfigs:{
                        [0] = {
                                variable: &CoreVars0.RPM,
                                upperValue: RPM(5000), // changed to 4k in yours
                                lowerValue: RPM(4000), // changed to 3k in yours
                                port: (unsigned char*)&PORTK,
                                mask: 0x08,
                                flags: 0
User avatar (0001990)
Fred (administrator)
2012-09-03 11:16

OK, as far as I can tell, the only thing was cylinder and injector size. You were likely getting about half the fuel you needed with the config you were trying to run. I've added the cylinder/injector to master/dev in hash 4f064bae5 and rebased the decoder into that, and committed the fix that it needed, some minor optimisation that you'd given it, and some formatting to the HEAD of the 2inputJseriesDecoder branch in my repo. Attached is an S19 to try using that commit built to your standard spec. Please do a log with emstudio using that if it fires up and runs right.
User avatar (0001991)
Fred (administrator)
2012-09-03 11:16

Give this a go, please :-)
User avatar (0002017)
pjohns30 (reporter)
2012-09-04 16:39

Re:What's this for, mate?
I'm not sure. It looks like it might be some code you wrote that I was trying to run the vtec solenoid with.

I only have my truck here right now, so it'll probably be this weekend at the soonest.
User avatar (0002018)
Fred (administrator)
2012-09-04 16:48

OK, just post here when you know more, or ask me for help if need be. If after you have this sorted you want some VTEC goodness then we can add a block for you for that.
User avatar (0002019)
Fred (administrator)
2012-09-04 16:49

Oh, and put some fresh fuel in it, will ya :-)
User avatar (0002130)
Fred (administrator)
2012-09-14 20:40

Added in 76d6fc2b271b18b5607e6ee59d6b03fd2d05fc0c, thanks Peter! :-)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker